summaryrefslogtreecommitdiffstats
path: root/scripts/prepare_test_yard/source_env.sh
diff options
context:
space:
mode:
authorLeo Wang <grakiss.wanglei@huawei.com>2016-09-17 23:15:18 -0400
committerLeo Wang <grakiss.wanglei@huawei.com>2016-09-20 02:39:46 -0400
commitcb55f6dbfe4867e4d232f51b5a32764f82d2399b (patch)
tree54cf76d8595b33f744e3e069b7daa55688d3d097 /scripts/prepare_test_yard/source_env.sh
parente7316237cc9f5b469c53682af6f57099d42a3279 (diff)
add prototype of dovetail tool
JIRA: DOVETAIL-12 Change-Id: I1ee120ed8199589e1e7cbce9cbb55036e9e5f7ea Signed-off-by: Leo Wang <grakiss.wanglei@huawei.com>
Diffstat (limited to 'scripts/prepare_test_yard/source_env.sh')
-rwxr-xr-xscripts/prepare_test_yard/source_env.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/prepare_test_yard/source_env.sh b/scripts/prepare_test_yard/source_env.sh
new file mode 100755
index 00000000..80135d70
--- /dev/null
+++ b/scripts/prepare_test_yard/source_env.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+: ${YARDSTICK_REPO:='https://gerrit.opnfv.org/gerrit/yardstick'}
+: ${YARDSTICK_REPO_DIR:='/home/opnfv/repos/yardstick'}
+: ${YARDSTICK_BRANCH:='master'} # branch, tag, sha1 or refspec
+
+: ${RELENG_REPO:='https://gerrit.opnfv.org/gerrit/releng'}
+: ${RELENG_REPO_DIR:='/home/opnfv/repos/releng'}
+: ${RELENG_BRANCH:='master'} # branch, tag, sha1 or refspec
+
+source $YARDSTICK_REPO_DIR/tests/ci/prepare_env.sh